apiVersion: apps/v1
kind: Deployment
metadata:
  name: telegraf-rwth-pmu
spec:
  selector:
    matchLabels:
      app: telegraf-sogno
  replicas: 1
  strategy: {}
  template:
    metadata:
      labels:
        app: telegraf-sogno
    spec:
      containers:
        - name: telegraf-sogno
          image: bitnami/telegraf:1.20.3-debian-10-r17
          resources: {}
          command: 
            - telegraf
          args:
            - "--config"
            - "/etc/telegraf/telegraf.conf"
          env:
            - name: HOSTNAME
              value: telegraf-rwth-pmu
            - name: INFLUXDB_URL
              value: "http://influxdb:8086"
            - name: INFLUXDB_PASSWORD
              valueFrom:
                secretKeyRef:
                  name: influxdb-auth
                  key: influxdb-password
            - name: INFLUXDB_USER
              valueFrom:
                secretKeyRef:
                  name: influxdb-auth
                  key: influxdb-user
            - name: MQTT_URL
              value: "rabbitmq:1883"
            - name: MQTT_USERNAME
              value: admin
            - name: MQTT_INPUT_TOPIC
              value: processed/bal/#
            - name: AVERAGE_OVER_SECONDS
              value: "60"
            - name: MQTT_PASSWORD
              valueFrom:
                secretKeyRef:
                  name: rabbitmq-auth
                  key: rabbitmq-password
          volumeMounts:
            - name: config
              mountPath: /etc/telegraf
      volumes:
        - name: config
          configMap:
            name: telegraf-rwth-pmu-configmap
      restartPolicy: Always
status: {}
